gnutls_priority_compression_list(3)

NAME
gnutls_priority_compression_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_priority_compression_list(gnutls_priority_t pcache, const unsigned int** list);

ARGUMENTS

gnutls_priority_t pcache
    is a gnutls_prioritity_t structure.

const unsigned int** list
    will point to an integer list

DESCRIPTION
Get a list of available compression method in the priority structure.

RETURNS
the number of methods, or an error code.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/